Page MenuHomePhabricator

Special:PendingChanges missing on Hindi Wikipedia though FlaggedRevs is installed
Closed, ResolvedPublic

Description

FlaggedRevs is installed on the hindi wikipedia as can be seen from Special:Version. However, Special:PendingChanges gives a No such Special Page error. Also, the entire section of the FlaggedRevs special pages is missing from Special:SpecialPages. An API query shows that there are still pages in the mainspace with unreviewed pending changes. I was able to review one of those listed in the api query result, but still get a No such Special Page error.

If I understood the flaggedrevs config correctly, it seems that its no longer enabled for the mainspace. It used to be enabled for the mainspace AFAIK. Not sure if this is linked to the problem.

Event Timeline

Siddhartha-Ghai raised the priority of this task from to Needs Triage.
Siddhartha-Ghai updated the task description. (Show Details)
Siddhartha-Ghai added a subscriber: Siddhartha-Ghai.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2015, 12:35 PM
Aklapper renamed this task from Pending Changes Special Pages missing on Hindi Wikipedia to Special:PendingChanges missing on Hindi Wikipedia though FlaggedRevs is installed.Feb 23 2015, 4:54 PM
Aklapper triaged this task as Normal priority.
Aklapper set Security to None.

Wondering if collection of article review statistics is running.
Have users been granted review rights via https://hi.wikipedia.org/wiki/विशेष:सदस्य_अधिकार ?

Wondering if collection of article review statistics is running.
Have users been granted review rights via https://hi.wikipedia.org/wiki/विशेष:सदस्य_अधिकार ?

A list of users currently granted reviewer status can be seen at https://hi.wikipedia.org/w/index.php?title=विशेष:सदस्य_सूची&group=reviewer

In addition, admins have reviewing rights as can be seen from https://hi.wikipedia.org/wiki/विशेष:सदस्य_समूह_अधिकार

JanWMF added a subscriber: JanWMF.Mar 9 2015, 6:40 PM
Jalexander raised the priority of this task from Normal to High.Mar 9 2015, 7:12 PM
Jalexander added a project: Trust-and-Safety.
demon added a subscriber: demon.Mar 13 2015, 7:52 PM

If I understood the flaggedrevs config correctly, it seems that its no longer enabled for the mainspace.

That is not the case:

demon@tin ~$ mwscript eval.php --wiki=hiwiki
> var_dump( $wgFlaggedRevsNamespaces );
array(7) {
  [0]=>
  int(0)
  [1]=>
  int(6)
  [2]=>
  int(10)
  [3]=>
  int(828)
  [4]=>
  int(4)
  [5]=>
  int(14)
  [6]=>
  int(100)
}

I'm not entirely sure why the special pages aren't showing up for hiwiki.

Sometimes it's set in wgSpecialPages, sometimes it isn't...

Stryn added a subscriber: Stryn.Apr 19 2015, 12:12 PM
Nemo_bis claimed this task.Apr 21 2015, 8:12 PM
Nemo_bis added a subscriber: Nemo_bis.

THis is an issue of incorrect title normalisation. https://hi.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%B6%E0%A5%87%E0%A4%B7:%E0%A4%85%E0%A4%A8%E0%A4%BF%E0%A4%B0%E0%A5%80%E0%A4%95%E0%A5%8D%E0%A4%B7%E0%A4%BF%E0%A4%A4_%E0%A4%AA%E0%A5%83%E0%A4%B7%E0%A5%8D%E0%A4%A0 is not a valid title, the space should be an underscore. I thought I had fixed these already...

Nemo_bis removed Nemo_bis as the assignee of this task.Apr 21 2015, 9:13 PM

Nope, that had already been fixed. It seems all locales using underscore are broken, and there's quite a bit: https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FFlaggedRevs/815766ee5a4fbd302071b39cf119a8e16bb5a690/frontend%2Flanguage%2FFlaggedRevs.alias.php

Jalexander moved this task from Backlog to Radar on the Trust-and-Safety board.Jun 17 2015, 7:06 AM
Elitre added a subscriber: Elitre.Mar 4 2016, 4:46 PM
Sfic added a subscriber: Sfic.Jul 24 2016, 7:25 AM
jrbs added a subscriber: jrbs.Jun 7 2017, 7:57 PM

This is triaged as "high" - is there anyone currently working on this?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 7 2017, 7:57 PM
Legoktm added a subscriber: Legoktm.Jun 7 2017, 8:11 PM

This is being caused by the same thing as T132454: Some OAuth special pages are not recognized ('no such special page') - FlaggedRevs is registering special pages using $wgExtensionFunctions which is too late. See T132454#2213091

Change 357856 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/FlaggedRevs@master] Conditionally register special pages with SpecialPage_initList hook

https://gerrit.wikimedia.org/r/357856

Legoktm claimed this task.Jun 8 2017, 5:51 PM

Change 357856 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Conditionally register special pages with SpecialPage_initList hook

https://gerrit.wikimedia.org/r/357856

Legoktm closed this task as Resolved.Jul 6 2017, 3:34 AM

This wil be deployed next week. Sorry about the 2 year delay on what should have been a simple patch :(